
// ReadGlobals.java
// Andrew Davison, March 2009, ad@fivedots.coe.psu.ac.th

/* Demonstrates the use of global variables in Scratch's remote
   sensor connections.

   Used together with varOut.sb

   Before this Java program is started, the Scratch program must 
   already be loaded, and remote sensor connections switched on.
*/


public class ReadGlobals
{

  public static void main(String argv[])
  {
    ScratchIO sio = new ScratchIO();

    ScratchMessage scratchMsg;
    while(true) {
      scratchMsg = sio.readMsg();
      if (scratchMsg != null) {
        System.out.println(scratchMsg);
        System.out.println("Message type: " + scratchMsg.getMessageTypeStr());
        System.out.println("        Name: " + scratchMsg.getName());
        System.out.println("       Value: " + scratchMsg.getValue());
      }
    }
  }  // end of main()


}  // end of ReadGlobals class

